Index: src/model/readData.py
===================================================================
--- src/model/readData.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/model/readData.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,21 +1,25 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 import numpy as np
 
+
 def CSNSRead2DData(fname):
-    data=[]
+    data = []
 
-    fopen=open(fname, "r")
-    lines=fopen.readlines()
+    fopen = open(fname, 'r')
+    lines = fopen.readlines()
 
-    check=lines[-1].split()
-    n=len(check)
+    check = lines[-1].split()
+    n = len(check)
     for i in range(n):
-    	data.append([])
+        data.append([])
 
     for line in lines:
-    	tmp=line.split()
-    	for i in range(n):
-    		data[i].append(float(tmp[i]))
+        tmp = line.split()
+        for i in range(n):
+            data[i].append(float(tmp[i]))
 
-    return n, data
+    return (n, data)
+
 
 def CSNSRead4DData(fname):
@@ -32,27 +36,28 @@
 
     '''
-    n=50
-    
-    R=np.zeros(n)   
-    X=np.zeros(n)   
-    Y=np.zeros(n)   
-    Z=np.zeros(n)   
-    C=np.zeros(n)   
- 
+
+    n = 50
+
+    R = np.zeros(n)
+    X = np.zeros(n)
+    Y = np.zeros(n)
+    Z = np.zeros(n)
+    C = np.zeros(n)
+
     for i in range(n):
-        X[i]=i*0.01+0.01
-        Y[i]=i*0.01+0.01
-        Z[i]=i*0.01+0.01
-    X,Y=np.meshgrid(X,Y)
-    Z,tmp=np.meshgrid(Z,R)
-    C,tmp=np.meshgrid(C,R)
+        X[i] = i * 0.01 + 0.01
+        Y[i] = i * 0.01 + 0.01
+        Z[i] = i * 0.01 + 0.01
+    (X, Y) = np.meshgrid(X, Y)
+    (Z, tmp) = np.meshgrid(Z, R)
+    (C, tmp) = np.meshgrid(C, R)
 
     for i in range(C.shape[0]):
         for j in range(C.shape[1]):
-            C[i][j]=Y[i][n/2]
+            C[i][j] = Y[i][n / 2]
 
-    C/=float(C.max())
- 
-    return X, Y, Z, C
+    C /= float(C.max())
+
+    return (X, Y, Z, C)
 
 
@@ -71,23 +76,23 @@
     '''
 
-    X=[]
-    Y=[]
-    Z=[]
+    X = []
+    Y = []
+    Z = []
 
-    fopen=open(fname, "r")
-    lines=fopen.readlines()
+    fopen = open(fname, 'r')
+    lines = fopen.readlines()
 
-    ngroup=-1
-    nfirst=-1
+    ngroup = -1
+    nfirst = -1
     for line in lines:
-        tmp=line.split()
-        first=tmp[1]
+        tmp = line.split()
+        first = tmp[1]
         break
 
-    ngroup=-1
+    ngroup = -1
     for line in lines:
-        tmp=line.split()
-        if tmp[1]==first:
-            ngroup+=1
+        tmp = line.split()
+        if tmp[1] == first:
+            ngroup += 1
             X.append([])
             Y.append([])
@@ -98,3 +103,5 @@
         Z[ngroup].append(float(tmp[2]))
 
-    return X, Y, Z
+    return (X, Y, Z)
+
+
Index: src/model/readFile.py
===================================================================
--- src/model/readFile.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/model/readFile.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,12 +1,16 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 import numpy as np
+
 
 def CSNSReadText(fname):
 
-    fopen=open(fname, "r")
-    lines=fopen.readlines()
+    fopen = open(fname, 'r')
+    lines = fopen.readlines()
 
-    text=""
+    text = ''
     for line in lines:
-        text+=line
+        text += line
     return text
 
+
Index: src/model/readImage.py
===================================================================
--- src/model/readImage.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/model/readImage.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,26 +1,31 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 import numpy as np
 import scipy
 import Image
-from  PIL import ImageOps
+from PIL import ImageOps
+
 
 def CSNSReadImage2Table(fname):
-    img = Image.open(fname).convert("L")
+    img = Image.open(fname).convert('L')
     box = (630, 400, 2630, 2000)
-    #box = (int(left), int(top),int(right),int(bottom))
+
+    # box = (int(left), int(top),int(right),int(bottom))
+
     region = img.crop(box)
-    nx=100
-    ny=100
-    size=(nx,ny)
-    img_resized=region.resize(size, Image.ANTIALIAS)
+    nx = 100
+    ny = 100
+    size = (nx, ny)
+    img_resized = region.resize(size, Image.ANTIALIAS)
 
     arr = np.asarray(img_resized)
 
-    X=[]
-    Y=[]
-    Z=[]
+    X = []
+    Y = []
+    Z = []
 
-    ngroup=-1
+    ngroup = -1
     for i in range(nx):
-        ngroup+=1
+        ngroup += 1
         X.append([])
         Y.append([])
@@ -31,63 +36,72 @@
             Z[ngroup].append(arr[i][j])
 
-    return X, Y, Z
+    return (X, Y, Z)
+
 
 def CSNSReadImage2Matrix(fname, xpixel, ypixel):
-    img = Image.open(fname).convert("L")
+    img = Image.open(fname).convert('L')
 
-    img=ImageOps.invert(img)
+    img = ImageOps.invert(img)
 
     box = (630, 400, 2630, 2000)
-    #box = (int(left), int(top),int(right),int(bottom))
+
+    # box = (int(left), int(top),int(right),int(bottom))
+
     region = img.crop(box)
-    nx=100
-    ny=100
-    size=(ny-1,nx-1)
-    img_resized=region.resize(size, Image.ANTIALIAS)
+    nx = 100
+    ny = 100
+    size = (ny - 1, nx - 1)
+    img_resized = region.resize(size, Image.ANTIALIAS)
 
     Z = np.asarray(img_resized)
 
-    X=np.zeros((nx,ny))
-    Y=np.zeros((nx,ny))
+    X = np.zeros((nx, ny))
+    Y = np.zeros((nx, ny))
 
     for i in range(nx):
         for j in range(ny):
-            X[i][j]=(i+1)*xpixel
-            Y[i][j]=(j+1)*ypixel
+            X[i][j] = (i + 1) * xpixel
+            Y[i][j] = (j + 1) * ypixel
 
-    return X, Y, Z
+    return (X, Y, Z)
+
 
 def CSNSReadImageSurface(fname):
-    img = Image.open(fname).convert("L")
+    img = Image.open(fname).convert('L')
 
-    img=ImageOps.invert(img)
+    img = ImageOps.invert(img)
 
     box = (630, 400, 2630, 2000)
-    #box = (int(left), int(top),int(right),int(bottom))
+
+    # box = (int(left), int(top),int(right),int(bottom))
+
     region = img.crop(box)
-    n=50
-    size=(n,n)
-    img_resized=region.resize(size, Image.ANTIALIAS)
+    n = 50
+    size = (n, n)
+    img_resized = region.resize(size, Image.ANTIALIAS)
 
     img = np.asarray(img_resized)
 
-    R=np.zeros(n)
-    a=np.zeros(n)
-    b=np.zeros(n)
-    c=np.zeros(n)
+    R = np.zeros(n)
+    a = np.zeros(n)
+    b = np.zeros(n)
+    c = np.zeros(n)
 
     for i in range(n):
-        a[i]=i*0.01+0.01
-        b[i]=i*0.01+0.01
-        b[i]=i*0.01+0.01
+        a[i] = i * 0.01 + 0.01
+        b[i] = i * 0.01 + 0.01
+        b[i] = i * 0.01 + 0.01
 
-    X,Y=np.meshgrid(a,b)
-    Z,tmp=np.meshgrid(c,R)
+    (X, Y) = np.meshgrid(a, b)
+    (Z, tmp) = np.meshgrid(c, R)
 
     for i in range(n):
-    	for j in range(n):
-			Z[i][j]=scipy.sqrt(abs(0.4**2-X[i][j]**2-Y[i][j]**2))
+        for j in range(n):
+            Z[i][j] = scipy.sqrt(abs(0.4 ** 2 - X[i][j] ** 2 - Y[i][j]
+                                 ** 2))
 
-    C=img/float(img.max())
+    C = img / float(img.max())
 
-    return X, Y, Z, C
+    return (X, Y, Z, C)
+
+
Index: src/model/sampleModel.py
===================================================================
--- src/model/sampleModel.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/model/sampleModel.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,6 +1,42 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
+
+
 def sampleModel():
-	sampleList=[1, 2, 3, 4, 5, 6, 7, 8, 9]
-	peakList=[500, 700, 800, 950, 1000, 800, 500, 400,350]
-	areaList=[1000, 1300, 1500, 1600, 1800, 2000, 1500, 800, 700]
+    sampleList = [
+        1,
+        2,
+        3,
+        4,
+        5,
+        6,
+        7,
+        8,
+        9,
+        ]
+    peakList = [
+        500,
+        700,
+        800,
+        950,
+        1000,
+        800,
+        500,
+        400,
+        350,
+        ]
+    areaList = [
+        1000,
+        1300,
+        1500,
+        1600,
+        1800,
+        2000,
+        1500,
+        800,
+        700,
+        ]
 
-	return sampleList, peakList, areaList
+    return (sampleList, peakList, areaList)
+
+
Index: src/model/slitModel.py
===================================================================
--- src/model/slitModel.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/model/slitModel.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,22 +1,31 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 from conf import *
 
 from peakFinder import *
 
-def getXYdata(x0, y0, dataX, dataY, dataZ):
-    ylist=dataY[0][:]
-    ny=len(ylist)
 
-    xlist=[]
+def getXYdata(
+    x0,
+    y0,
+    dataX,
+    dataY,
+    dataZ,
+    ):
+    ylist = (dataY[0])[:]
+    ny = len(ylist)
+
+    xlist = []
     for i in range(ny):
         xlist.append(dataX[i][0])
 
-    nx=len(xlist)
+    nx = len(xlist)
 
-    xid=min(xlist, key=lambda x:abs(x-x0))
-    yid=min(ylist, key=lambda x:abs(x-y0))
-    xid=xlist.index(xid)
-    yid=ylist.index(yid)
+    xid = min(xlist, key=lambda x: abs(x - x0))
+    yid = min(ylist, key=lambda x: abs(x - y0))
+    xid = xlist.index(xid)
+    yid = ylist.index(yid)
 
-    dataYZ=[]
+    dataYZ = []
     dataYZ.append([])
     dataYZ.append([])
@@ -25,5 +34,5 @@
         dataYZ[1].append(dataZ[xid][i])
 
-    dataXZ=[]
+    dataXZ = []
     dataXZ.append([])
     dataXZ.append([])
@@ -32,19 +41,26 @@
         dataXZ[1].append(dataZ[i][yid])
 
-    return dataYZ, dataXZ
+    return (dataYZ, dataXZ)
 
-class SlitCalculation():
+
+class SlitCalculation:
+
     def __init__(self, incidentAngle=0.1, reflectedAngle=0.1):
-        self.incidentAngle=incidentAngle
-        self.reflectedAngle=reflectedAngle
+        self.incidentAngle = incidentAngle
+        self.reflectedAngle = reflectedAngle
 
     def getSlitHeight(self):
-        self.slitList=[CSNSMRslit1Position,CSNSMRslit2Position, CSNSMRsamplePosition, CSNSMRslit3Position]
+        self.slitList = [CSNSMRslit1Position, CSNSMRslit2Position,
+                         CSNSMRsamplePosition, CSNSMRslit3Position]
 
-        _a=(CSNSMRslit1Height+CSNSMRsampleHeight)/2.0/(-CSNSMRslit1Position)
-        _b=CSNSMRsampleHeight/2.0
-        _s3=(_a*CSNSMRslit3Position+_b)*2
+        _a = (CSNSMRslit1Height + CSNSMRsampleHeight) / 2.0 \
+            / -CSNSMRslit1Position
+        _b = CSNSMRsampleHeight / 2.0
+        _s3 = (_a * CSNSMRslit3Position + _b) * 2
 
-        self.heightList=[CSNSMRslit1Height, CSNSMRslit2Height, CSNSMRsampleHeight, _s3]
+        self.heightList = [CSNSMRslit1Height, CSNSMRslit2Height,
+                           CSNSMRsampleHeight, _s3]
 
-        return self.slitList, self.heightList
+        return (self.slitList, self.heightList)
+
+
Index: src/presenter/__init__.py
===================================================================
--- src/presenter/__init__.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/presenter/__init__.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,15 +1,18 @@
-__all__=['presenter']
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
+__all__ = ['presenter']
 
 import os
 from glob import glob
 
-_modules=list(map(os.path.basename, glob(os.path.join(os.path.dirname(__file__), '*.py'))))
+_modules = list(map(os.path.basename,
+                glob(os.path.join(os.path.dirname(__file__), '*.py'))))
 _modules.remove('__init__.py')
-_modules=[mod[:-3] for mod in _modules]
+_modules = [mod[:-3] for mod in _modules]
 
-presenter={}
+presenter = {}
 
 for mod in _modules:
-  _module=__import__('presenter.'+mod, fromlist=[mod])
-  if 'suite' in _module.__dict__:
-    presenter[mod]=_module.suite
+    _module = __import__('presenter.' + mod, fromlist=[mod])
+    if 'suite' in _module.__dict__:
+        presenter[mod] = _module.suite
Index: src/presenter/slitSignal.py
===================================================================
--- src/presenter/slitSignal.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/presenter/slitSignal.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,11 +1,17 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 # configure
+
 from conf import *
 
 from model.readData import *
 
+
 def slitImageEvents(canvas):
     canvas.mpl_connect('button_press_event', changeRegion)
     canvas.mpl_connect('motion_notify_event', changeRegion)
-    #self.canvas = canvas
+
+
+    # self.canvas = canvas
 
 def changeRegion(event):
@@ -13,21 +19,24 @@
 
     if event.button == 1:
-        '''
-        dataX, dataY, dataZ = CSNSRead3DData("./dat/3d1.dat")
-        event.inaxes.clear()
-        cset = event.inaxes.contourf(dataY, dataX, dataZ, zdir='z', offset=0, cmap=cm.coolwarm)
-        '''
         print event.xdata
-        #_canvas.x1.set_xdata([event.xdata,event.ydata])
+
+        # _canvas.x1.set_xdata([event.xdata,event.ydata])
+
         event.inaxes.x1.clear()
-        event.inaxes.x1.set_xdata([event.xdata,event.ydata])
-        #event.inaxes.axhline(event.ydata,color='green')
+        event.inaxes.x1.set_xdata([event.xdata, event.ydata])
+
+        # event.inaxes.axhline(event.ydata,color='green')
+
         event.inaxes.draw_artist(event.inaxes)
         _canvas.blit(event.inaxes.bbox)
         _canvas.flush_events()
         _canvas.draw()
+    elif event.button == 3:
+
         # _canvas.lines[1].set_xdate([event.xdata+5,event.ydate])
-    elif event.button == 3:
+
         pass
+
+
        # _canvas.lines[2].set_ydate([event.xdata,event.ydate-5])
        # _canvas.lines[3].set_ydate([event.xdata,event.ydate+5])
Index: src/viewer/__init__.py
===================================================================
--- src/viewer/__init__.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/viewer/__init__.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,15 +1,18 @@
-__all__=['viewer']
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
+__all__ = ['viewer']
 
 import os
 from glob import glob
 
-_modules=list(map(os.path.basename, glob(os.path.join(os.path.dirname(__file__), '*.py'))))
+_modules = list(map(os.path.basename,
+                glob(os.path.join(os.path.dirname(__file__), '*.py'))))
 _modules.remove('__init__.py')
-_modules=[mod[:-3] for mod in _modules]
+_modules = [mod[:-3] for mod in _modules]
 
-viewer={}
+viewer = {}
 
 for mod in _modules:
-  _module=__import__('viewer.'+mod, fromlist=[mod])
-  if 'suite' in _module.__dict__:
-    viewer[mod]=_module.suite
+    _module = __import__('viewer.' + mod, fromlist=[mod])
+    if 'suite' in _module.__dict__:
+        viewer[mod] = _module.suite
Index: src/viewer/analysis.py
===================================================================
--- src/viewer/analysis.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/viewer/analysis.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,4 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 '''
 Created on 2015.6.4
@@ -6,4 +8,5 @@
 
 '''
+
 from conf import *
 from canvas import *
@@ -13,4 +16,5 @@
 from histogram import *
 
+
 class CSNSAnalysisPage(QtGui.QTabWidget):
 
@@ -19,16 +23,18 @@
         self.setupUi(self)
 
-    def setupUi(self,QTabWidget):
-    	self.setTabPosition(QTabWidget.West)
+    def setupUi(self, QTabWidget):
+        self.setTabPosition(QTabWidget.West)
 
         self.HistogramTab = CSNSHistogramPage()
         self.HotimageTab = CSNSHotimagePage()
-        #self.mainFrame = QtGui.QFrame(self.XYTab)
-        #self.mainFrame.setFrameShape(QtGui.QFrame.StyledPanel)
-        #self.scrollArea = QtGui.QScrollArea()
-        #self.scrollArea.setWidgetResizable(True)
-        #self.scrollArea.setWidget(self.mainFrame)
 
-    	self.addTab(self.HistogramTab, "Histogram")
-        self.addTab(self.HotimageTab, "Hotimage") 
+        # self.mainFrame = QtGui.QFrame(self.XYTab)
+        # self.mainFrame.setFrameShape(QtGui.QFrame.StyledPanel)
+        # self.scrollArea = QtGui.QScrollArea()
+        # self.scrollArea.setWidgetResizable(True)
+        # self.scrollArea.setWidget(self.mainFrame)
 
+        self.addTab(self.HistogramTab, 'Histogram')
+        self.addTab(self.HotimageTab, 'Hotimage')
+
+
Index: src/viewer/calibration.py
===================================================================
--- src/viewer/calibration.py	(revision 2b41ffeb36a5e52980441e46fafca007f1479f36)
+++ src/viewer/calibration.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,4 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 '''
 Created on 2015.10.26
@@ -6,8 +8,10 @@
 
 '''
+
 from conf import *
 from canvas import *
 from model.readData import *
 from model.readImage import *
+
 
 class CSNSCalibrationPage(QtGui.QTabWidget):
@@ -17,89 +21,142 @@
         self.setupUi(self)
 
-    def setupUi(self,QTabWidget):
-    	self.setTabPosition(QTabWidget.West)
+    def setupUi(self, QTabWidget):
+        self.setTabPosition(QTabWidget.West)
 
-        #main  grid
+        # main  grid
+
         self.mainGridWidget = QtGui.QWidget(self)
         self.mainGrid = QtGui.QGridLayout(self.mainGridWidget)
 
-        #Background
-        _xsize=5
-        _ysize=0.8
+        # Background
+
+        _xsize = 5
+        _ysize = 0.8
 
         # Background
-        self.BackgroundLabel = QtGui.QLabel("Background")
-        self.CountBackgroundLabel = QtGui.QLabel("Count")
-        self.LoadBackgroundLabel = QtGui.QLabel("Load")
-        self.TOFBackgroundLabel = QtGui.QLabel("TOF")
+
+        self.BackgroundLabel = QtGui.QLabel('Background')
+        self.CountBackgroundLabel = QtGui.QLabel('Count')
+        self.LoadBackgroundLabel = QtGui.QLabel('Load')
+        self.TOFBackgroundLabel = QtGui.QLabel('TOF')
 
         self.BackgroundImageCanvas = CSNSCanvas(self, _xsize, _ysize)
-        
-        self.filexy=["img/XY ++.png", "img/XY +-.png"]       
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[0], 1, 1)
-        self.BackgroundImage = self.BackgroundImageCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2)
+        self.filexy = ['img/XY ++.png', 'img/XY +-.png']
+
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[0], 1, 1)
+        self.BackgroundImage = \
+            self.BackgroundImageCanvas.ax.pcolormesh(self.dataxyY,
+                self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.BackgroundImageCanvas.ax.add_patch(self.rect)
         self.BackgroundImageCanvas.draw()
 
         # Noise
-        self.NoiseLabel = QtGui.QLabel("Noise")
-        self.CountNoiseLabel = QtGui.QLabel("Count")
-        self.LoadNoiseLabel = QtGui.QLabel("Load")
-        self.TOFNoiseLabel = QtGui.QLabel("TOF")
+
+        self.NoiseLabel = QtGui.QLabel('Noise')
+        self.CountNoiseLabel = QtGui.QLabel('Count')
+        self.LoadNoiseLabel = QtGui.QLabel('Load')
+        self.TOFNoiseLabel = QtGui.QLabel('TOF')
         self.NoiseCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        nx, dataX = CSNSRead2DData("./dat/monitor.dat")
-        self.NoiseCanvas.ax.plot(dataX[0],dataX[1],color='red')
-        self.NoiseCanvas.ax.tick_params(axis='both', which='major', labelsize=5)
+        (nx, dataX) = CSNSRead2DData('./dat/monitor.dat')
+        self.NoiseCanvas.ax.plot(dataX[0], dataX[1], color='red')
+        self.NoiseCanvas.ax.tick_params(axis='both', which='major',
+                labelsize=5)
         self.NoiseCanvas.draw()
-        
+
         # Holder
-        self.HolderLabel = QtGui.QLabel("Holder")
-        self.CountHolderLabel = QtGui.QLabel("Count")
-        self.LoadHolderLabel = QtGui.QLabel("Load")
-        self.TOFHolderLabel = QtGui.QLabel("TOF")
+
+        self.HolderLabel = QtGui.QLabel('Holder')
+        self.CountHolderLabel = QtGui.QLabel('Count')
+        self.LoadHolderLabel = QtGui.QLabel('Load')
+        self.TOFHolderLabel = QtGui.QLabel('TOF')
         self.HolderCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxtX, self.dataxtY, self.dataxtZ = CSNSReadImage2Matrix(self.filexy[0], 1, 0.4)
-        self.HolderImage = self.HolderCanvas.ax.pcolormesh(self.dataxtY, self.dataxtX, self.dataxtZ, cmap=cm.hot)
+        (self.dataxtX, self.dataxtY, self.dataxtZ) = \
+            CSNSReadImage2Matrix(self.filexy[0], 1, 0.4)
+        self.HolderImage = \
+            self.HolderCanvas.ax.pcolormesh(self.dataxtY, self.dataxtX,
+                self.dataxtZ, cmap=cm.hot)
         self.HolderCanvas.draw()
 
         # Efficience
-        self.EfficienceLabel = QtGui.QLabel("Efficience")
-        self.CountEfficienceLabel = QtGui.QLabel("Count")
-        self.LoadEfficienceLabel = QtGui.QLabel("Load")
-        self.TOFEfficienceLabel = QtGui.QLabel("TOF")
+
+        self.EfficienceLabel = QtGui.QLabel('Efficience')
+        self.CountEfficienceLabel = QtGui.QLabel('Count')
+        self.LoadEfficienceLabel = QtGui.QLabel('Load')
+        self.TOFEfficienceLabel = QtGui.QLabel('TOF')
         self.EfficienceCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataXTx=[]
-        for i in range(1,self.dataxtY.shape[0]):
+        self.dataXTx = []
+        for i in range(1, self.dataxtY.shape[0]):
             self.dataXTx.append(self.dataxtY[0][i])
-        self.dataXTy=[]
-        for i in range(1,self.dataxtX.shape[0]):
+        self.dataXTy = []
+        for i in range(1, self.dataxtX.shape[0]):
             self.dataXTy.append(self.dataxtX[i][0])
 
-        self.EfficienceFigure=self.EfficienceCanvas.ax.plot(self.dataXTx,self.dataxtZ[40][:],color='red')
+        self.EfficienceFigure = \
+            self.EfficienceCanvas.ax.plot(self.dataXTx,
+                (self.dataxtZ[40])[:], color='red')
         self.EfficienceCanvas.draw()
 
-        self.mainGrid.addWidget(self.BackgroundLabel,        0,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.CountBackgroundLabel,   0,0,1,1)
-        self.mainGrid.addWidget(self.LoadBackgroundLabel,    0,2,1,1)
-        self.mainGrid.addWidget(self.BackgroundImageCanvas,  1,1,1,1)
-        self.mainGrid.addWidget(self.TOFBackgroundLabel,     1,2,1,1)
-        self.mainGrid.addWidget(self.NoiseLabel,             2,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.CountNoiseLabel,        2,0,1,1)
-        self.mainGrid.addWidget(self.LoadNoiseLabel,         2,2,1,1)
-        self.mainGrid.addWidget(self.NoiseCanvas,            3,1,1,1)
-        self.mainGrid.addWidget(self.TOFNoiseLabel,          3,2,1,1)
-        self.mainGrid.addWidget(self.HolderLabel,            4,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.CountHolderLabel,       4,0,1,1)
-        self.mainGrid.addWidget(self.LoadHolderLabel,        4,2,1,1)
-        self.mainGrid.addWidget(self.HolderCanvas,           5,1,1,1)
-        self.mainGrid.addWidget(self.TOFHolderLabel,         5,2,1,1)
-        self.mainGrid.addWidget(self.EfficienceLabel,        6,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.CountEfficienceLabel,   6,0,1,1)
-        self.mainGrid.addWidget(self.LoadEfficienceLabel,    6,2,1,1)
-        self.mainGrid.addWidget(self.EfficienceCanvas,       7,1,1,1)
-        self.mainGrid.addWidget(self.TOFEfficienceLabel,     7,2,1,1)
+        self.mainGrid.addWidget(
+            self.BackgroundLabel,
+            0,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(self.CountBackgroundLabel, 0, 0, 1, 1)
+        self.mainGrid.addWidget(self.LoadBackgroundLabel, 0, 2, 1, 1)
+        self.mainGrid.addWidget(self.BackgroundImageCanvas, 1, 1, 1, 1)
+        self.mainGrid.addWidget(self.TOFBackgroundLabel, 1, 2, 1, 1)
+        self.mainGrid.addWidget(
+            self.NoiseLabel,
+            2,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(self.CountNoiseLabel, 2, 0, 1, 1)
+        self.mainGrid.addWidget(self.LoadNoiseLabel, 2, 2, 1, 1)
+        self.mainGrid.addWidget(self.NoiseCanvas, 3, 1, 1, 1)
+        self.mainGrid.addWidget(self.TOFNoiseLabel, 3, 2, 1, 1)
+        self.mainGrid.addWidget(
+            self.HolderLabel,
+            4,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(self.CountHolderLabel, 4, 0, 1, 1)
+        self.mainGrid.addWidget(self.LoadHolderLabel, 4, 2, 1, 1)
+        self.mainGrid.addWidget(self.HolderCanvas, 5, 1, 1, 1)
+        self.mainGrid.addWidget(self.TOFHolderLabel, 5, 2, 1, 1)
+        self.mainGrid.addWidget(
+            self.EfficienceLabel,
+            6,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(self.CountEfficienceLabel, 6, 0, 1, 1)
+        self.mainGrid.addWidget(self.LoadEfficienceLabel, 6, 2, 1, 1)
+        self.mainGrid.addWidget(self.EfficienceCanvas, 7, 1, 1, 1)
+        self.mainGrid.addWidget(self.TOFEfficienceLabel, 7, 2, 1, 1)
+
+
Index: src/viewer/calibration1.py
===================================================================
--- src/viewer/calibration1.py	(revision 2b41ffeb36a5e52980441e46fafca007f1479f36)
+++ src/viewer/calibration1.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,4 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 '''
 Created on 2015.6.4
@@ -6,8 +8,10 @@
 
 '''
+
 from conf import *
 from canvas import *
 from model.readData import *
 from model.readImage import *
+
 
 class CSNSCalibrationPage(QtGui.QTabWidget):
@@ -17,54 +21,85 @@
         self.setupUi(self)
 
-    def setupUi(self,QTabWidget):
-    	self.setTabPosition(QTabWidget.West)
+    def setupUi(self, QTabWidget):
+        self.setTabPosition(QTabWidget.West)
 
-        #main  grid
+        # main  grid
+
         self.mainGridWidget = QtGui.QWidget(self)
         self.mainGrid = QtGui.QGridLayout(self.mainGridWidget)
- 
+
         # Left Label
-        self.LeftLabel = QtGui.QLabel("Left")
+
+        self.LeftLabel = QtGui.QLabel('Left')
+
         # Right Label
-        self.RightLabel = QtGui.QLabel("Right")
-         
+
+        self.RightLabel = QtGui.QLabel('Right')
+
         # Bckward 2D/3D
+
         self.BackwardComboBox = QtGui.QComboBox()
-        self.BackwardComboBox.addItem("2D")
-        self.BackwardComboBox.addItem("3D")
-        self.filexy=["img/XY ++.png", "img/XY +-.png"]
-        self.filext=["img/XT ++.png", "img/XT +-.png"]
-        _index=self.BackwardComboBox.currentIndex()
+        self.BackwardComboBox.addItem('2D')
+        self.BackwardComboBox.addItem('3D')
+        self.filexy = ['img/XY ++.png', 'img/XY +-.png']
+        self.filext = ['img/XT ++.png', 'img/XT +-.png']
+        _index = self.BackwardComboBox.currentIndex()
 
-        _xsize=3
-        _ysize=1
+        _xsize = 3
+        _ysize = 1
 
         # Backward
-        self.BackwardLabel = QtGui.QLabel("Backward")
+
+        self.BackwardLabel = QtGui.QLabel('Backward')
 
         self.BackwardImageCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
-        self.BackwardImage = self.BackwardImageCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2)
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
+        self.BackwardImage = \
+            self.BackwardImageCanvas.ax.pcolormesh(self.dataxyY,
+                self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.BackwardImageCanvas.ax.add_patch(self.rect)
         self.BackwardImageCanvas.draw()
 
-        #Background
-        self.BackgroundLabel = QtGui.QLabel("Backward")
+        # Background
+
+        self.BackgroundLabel = QtGui.QLabel('Backward')
 
         self.BackgroundCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[_index], 1, 1)  
-        self.BackgroundImage = self.BackwardImageCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2) 
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
+        self.BackgroundImage = \
+            self.BackwardImageCanvas.ax.pcolormesh(self.dataxyY,
+                self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.BackgroundCanvas.ax.add_patch(self.rect)
         self.BackgroundCanvas.draw()
 
-        self.mainGrid.addWidget(self.LeftLabel,  0,0,1,1)
-        self.mainGrid.addWidget(self.RightLabel, 0,1,1,1)
-        self.mainGrid.addWidget(self.BackwardLabel, 1,0,1,1)
-        self.mainGrid.addWidget(self.BackgroundLabel,    1,1,1,1)
-        self.mainGrid.addWidget(self.BackwardImageCanvas,    2,0,1,1)
-        self.mainGrid.addWidget(self.BackgroundCanvas,    2,1,1,1)
-        self.mainGrid.addWidget(self.BackwardComboBox,    2,2,1,1)
+        self.mainGrid.addWidget(self.LeftLabel, 0, 0, 1, 1)
+        self.mainGrid.addWidget(self.RightLabel, 0, 1, 1, 1)
+        self.mainGrid.addWidget(self.BackwardLabel, 1, 0, 1, 1)
+        self.mainGrid.addWidget(self.BackgroundLabel, 1, 1, 1, 1)
+        self.mainGrid.addWidget(self.BackwardImageCanvas, 2, 0, 1, 1)
+        self.mainGrid.addWidget(self.BackgroundCanvas, 2, 1, 1, 1)
+        self.mainGrid.addWidget(self.BackwardComboBox, 2, 2, 1, 1)
+
+
